﻿using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Gameplay.Systems.Tooltip;
using Eco.Mods.TechTree;
using Eco.Shared.Serialization;

namespace FZMModsLibrary.Artisty
{
    [RequiresSkill(typeof(CanvasPaintingSkill), 2)]
    public partial class EmptyCanvasRecipe : Recipe
    {
        public EmptyCanvasRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<EmptyCanvasItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<BoardItem>(typeof(CanvasPaintingEfficiencySkill), 4, CanvasPaintingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<ClothItem>(typeof(CanvasPaintingEfficiencySkill), 6, CanvasPaintingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(EmptyCanvasRecipe), Item.Get<EmptyCanvasItem>().UILink(), 2.0f, typeof(CanvasPaintingSpeedSkill));
            this.Initialize("Empty Canvas", typeof(EmptyCanvasRecipe));

            CraftingComponent.AddRecipe(typeof(ArtStationObject), this);
        }
    }

    [Serialized]
    [Weight(500)]
    public partial class EmptyCanvasItem :
    Item
    {
        public override string FriendlyName { get { return "Empty Canvas"; } }
        public override string Description { get { return "Can be used in simple art."; } }
    }
}
