﻿using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Gameplay.Systems.Tooltip;
using Eco.Mods.TechTree;
using Eco.Shared.Serialization;

namespace FZMModsLibrary.Artisty
{
    [RequiresSkill(typeof(CanvasPaintingSkill), 1)]
    public partial class PaintBrushRecipe : Recipe
    {
        public PaintBrushRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<PaintBrushItem>(2),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<LogItem>(typeof(CanvasPaintingEfficiencySkill), 2, CanvasPaintingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<FurPeltItem>(typeof(CanvasPaintingEfficiencySkill), 2, CanvasPaintingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(PaintBrushRecipe), Item.Get<PaintBrushItem>().UILink(), 0.5f, typeof(CanvasPaintingSpeedSkill));
            this.Initialize("Paint Brush", typeof(PaintBrushRecipe));
            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
            CraftingComponent.AddRecipe(typeof(ArtStationObject), this);
        }
    }

    [Serialized]
    [Weight(50)]
    public partial class PaintBrushItem : Item
    {
        public override string FriendlyName { get { return "Paint Brush"; } }
        public override string Description { get { return "Can be used in simple art."; } }
    }
}
