﻿using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Gameplay.Systems.Tooltip;
using Eco.Mods.TechTree;
using Eco.Shared.Serialization;

namespace FZMModsLibrary.Artisty
{
    [RequiresSkill(typeof(CanvasPaintingSkill), 1)]
    public partial class PalettePaintsRecipe : Recipe
    {
        public PalettePaintsRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<PalettePaintsItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<OilItem>(typeof(CanvasPaintingEfficiencySkill), 2, CanvasPaintingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<HuckleberrySeedItem>(typeof(CanvasPaintingEfficiencySkill), 20, CanvasPaintingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<BeetSeedItem>(typeof(CanvasPaintingEfficiencySkill), 20, CanvasPaintingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<CornSeedItem>(typeof(CanvasPaintingEfficiencySkill), 20, CanvasPaintingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(PalettePaintsRecipe), Item.Get<PalettePaintsItem>().UILink(), 5.0f, typeof(CanvasPaintingSpeedSkill));
            this.Initialize("Palette Paints", typeof(PalettePaintsRecipe));

            CraftingComponent.AddRecipe(typeof(ArtStationObject), this);
        }
    }

    [Serialized]
    [Weight(100)]
    public partial class PalettePaintsItem :
    Item
    {
        public override string FriendlyName { get { return "Pallete Paints"; } }
        public override string Description { get { return "Can be used in simple art."; } }
    }
}
